/* // poppins font family */
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body{
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  background: url(./assets/background.jpg) no-repeat center center/cover;
}
.container{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  padding: 0 20px;
}
.todo{
  width: 100%;
  max-width: 400px;
  padding: 2rem;
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 30px;
  color: #ffffff;
  border-radius: 20px;
  box-shadow: 0 0 100px rgba(0, 0, 0, 0.5);
  border: 3px solid rgba(255, 255, 255, 0.18);
  backdrop-filter: blur(10px);
}
.todo h1{
  font-size: 2rem;
}
.input-area{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}
.input-area input{
  flex: 1;                /* wtf */
  padding: 10px 17px;
  font-size: 1.1rem;
  border: none;
  outline: none;
  border-radius: 22px;
  background: rgba(255, 194, 209, 0.3);
  color: #dbdbdb;
}
.input-area input::placeholder{
  color: #bcbcbc;
}
.input-area button{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: 10px;
  padding: 8px;
  border-radius: 50%;
  color: #fff;
  font-size: 1.1rem;
  background: rgba(255, 194, 209, 0.3);
  border: 2px solid rgba(255, 255, 255, 0.18);
  cursor: pointer;
  transition: all 0.2s ease;

}
.input-area button:hover{
  transform: scale(1.1);
  background: #ff6f91;
}
.todos-container{
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
#task-list{
  width: 100%;
}
#task-list li{
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgba(255, 194, 209, 0.3);
  margin-bottom: 10px;
  padding: 8px 10px;
  border-radius: 30px;
  font-size: 1.2rem;
  color: #fff;
  /* position: relative; */
  transition: box-shadow 0.2s ease;
}
#task-list li:hover{
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
#task-list li .checkbox{
  min-width: 20px;
  height: 20px;
  border: 2px solid rgba(255, 255, 255, 0.3);
  background : transparent;
  border-radius: 50%;
  cursor: pointer;
  appearance: none;
  transition: scale(1.1);
}
#task-list li .checkbox:checked{
  background: #ff6f91;
  transform: scale(1.1);
}
#task-list li .checkbox:checked::before{
  content: '\2713';           /* whatttt */
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1rem;
}
#task-list li span{
  flex: 1;            /* whattt */
  margin-left: 10px;
  word-wrap: break-word;
}

#task-lidt li .completed span{
  text-decoration: 2px line-through #000;
  color: #000;
}
.task-button{
  display: flex;
  gap: 10px;
  margin-right: auto;
}
.task-button button{
  background: rgba(255, 194, 209, 0.3);
  border: none;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  color: #fff;
  font-size: 0.8rem;
  cursor: pointer;
  transition: all 0.2s ease;
  display: flex;
  align-items: center;
  justify-content: center;
}
.task-button button:hover{
  transform: scale(1.2);
}
.task-button .edit-btn{
  background: #ffbf00;
}
.task-button .delete-btn{
  background: #ff6f91;
}

@media (max-width: 600px){
  .container{
    margin: 0 20px;
    padding: 0 10px;
  }
  .todo{
    padding: 1.5rem;
    gap: 20px;
  }
  #numbers{
    width: 60px;
    height: 60px;
    font-size: 1rem;
  }
  .input-area input{
    font-size{
      font-size: 16px;
    }
    #task-list li {
      font-size: 14px;
    }
  }
}